Hibernate Books

All times are UTC - 5 hours [ DST ]



Post new topic Reply to topic  [ 8 posts ] 
Author Message
 Post subject: Critical: Hibernate 4.x can't work with proxool 0.9.1
PostPosted: Thu Jul 19, 2012 12:08 am 
Newbie

Joined: Wed Jul 18, 2012 11:43 pm
Posts: 2
(I use Proxool 0.9.1.)
Since Hibernate 4.x, ProxoolConnectionProvider had been moved to org.hibernate.service.jdbc.connections.internal packet (in jar: ${hibernate-release-4.x}/lib/optional/proxool/hibernate-proxool-4.x.jar).
When I upgrade to 4.x from 3.x (all configuration did not changed), It always tell me :'Exception: the url can not be null'. so I trace the Hibernate source code, and found that method 'public void configure(Properties props)' in ProxoolConnectionProvider never been called. So, all attributes in ProxoolConnectionProvider is null.

anybody can resove this problem, thx !!


Top
 Profile  
 
 Post subject: Re: Critical: Hibernate 4.x can't work with proxool 0.9.1
PostPosted: Sun Feb 10, 2013 10:52 am 
Newbie

Joined: Sun Feb 10, 2013 10:49 am
Posts: 2
Hi,

I'm facing the same problem...have you found any solution??

Thank you Sir!


Top
 Profile  
 
 Post subject: Re: Critical: Hibernate 4.x can't work with proxool 0.9.1
PostPosted: Tue Apr 16, 2013 8:45 am 
Newbie

Joined: Tue Apr 16, 2013 8:41 am
Posts: 1
well that right! I met this problem too. so till version 4.3.0 beta1 this bug haven't been fixed. well we are so looking forward to some contributer that can resolve this bug.


Top
 Profile  
 
 Post subject: Re: Critical: Hibernate 4.x can't work with proxool 0.9.1
PostPosted: Thu Apr 25, 2013 6:17 am 
Hibernate Team
Hibernate Team

Joined: Tue Aug 11, 2009 2:26 am
Posts: 29
https://hibernate.atlassian.net/browse/HHH-8203

I will fix it soon


Top
 Profile  
 
 Post subject: Re: Critical: Hibernate 4.x can't work with proxool 0.9.1
PostPosted: Thu Apr 25, 2013 6:19 am 
Hibernate Team
Hibernate Team

Joined: Fri Oct 05, 2007 4:47 pm
Posts: 2296
Location: Third rock from the Sun
Hi all,
just saw this thread, you should have reported it on JIRA ;-)

I created https://hibernate.atlassian.net/browse/HHH-8204
Anyone willing to patch it, or at least create a unit test?

_________________
Sanne
http://in.relation.to/


Top
 Profile  
 
 Post subject: Re: Critical: Hibernate 4.x can't work with proxool 0.9.1
PostPosted: Thu Apr 25, 2013 7:15 am 
Hibernate Team
Hibernate Team

Joined: Fri Oct 05, 2007 4:47 pm
Posts: 2296
Location: Third rock from the Sun
Fixed on master. feel free to try it out!

_________________
Sanne
http://in.relation.to/


Top
 Profile  
 
 Post subject: Re: Critical: Hibernate 4.x can't work with proxool 0.9.1
PostPosted: Tue Jul 02, 2013 12:52 am 
Newbie

Joined: Sun Feb 10, 2013 10:49 am
Posts: 2
Yeah, fixed in Hibernate 4.3, *BUT* it comes with old Proxool v0.8.3 - WHY??

Why not the newest 0.9.1???


Top
 Profile  
 
 Post subject: Re: Critical: Hibernate 4.x can't work with proxool 0.9.1
PostPosted: Tue Jul 02, 2013 3:42 am 
Hibernate Team
Hibernate Team

Joined: Fri Oct 05, 2007 4:47 pm
Posts: 2296
Location: Third rock from the Sun
Quote:
Yeah, fixed in Hibernate 4.3, *BUT* it comes with old Proxool v0.8.3 - WHY??

Why not the newest 0.9.1???


I suspect because noone knows about the newest version. Does it require any code changes?
Feel free to open a JIRA to request the update (at least) and to propose a patch (if you feel like)

_________________
Sanne
http://in.relation.to/


Top
 Profile  
 
Display posts from previous:  Sort by  
Post new topic Reply to topic  [ 8 posts ] 

All times are UTC - 5 hours [ DST ]


You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum

Search for:
© Copyright 2014, Red Hat Inc. All rights reserved. JBoss and Hibernate are registered trademarks and servicemarks of Red Hat, Inc.